import java.util.Collection;
import java.util.Iterator;

public class Class456 implements Iterable, Collection {

   public Class225 aClass225_5687 = new Class225();
   Class225 aClass225_5688;


   public boolean method7626() {
      return this.aClass225_5687.aClass225_2607 == this.aClass225_5687;
   }

   public void method7627(byte var1) {
      while(this.aClass225_5687.aClass225_2607 != this.aClass225_5687) {
         this.aClass225_5687.aClass225_2607.method3857(-1940843835);
      }

   }

   Class225 method7628(Class225 var1) {
      Class225 var2;
      if(var1 == null) {
         var2 = this.aClass225_5687.aClass225_2608;
      } else {
         var2 = var1;
      }

      if(this.aClass225_5687 == var2) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var2.aClass225_2608;
         return var2;
      }
   }

   public boolean method7629(Object var1) {
      throw new RuntimeException();
   }

   boolean method7630(Class225 var1, byte var2) {
      this.method7712(var1, (byte)122);
      return true;
   }

   void method7631(Class456 var1, Class225 var2, int var3) {
      Class225 var4 = this.aClass225_5687.aClass225_2608;
      this.aClass225_5687.aClass225_2608 = var2.aClass225_2608;
      var2.aClass225_2608.aClass225_2607 = this.aClass225_5687;
      if(var2 != this.aClass225_5687) {
         var2.aClass225_2608 = var1.aClass225_5687.aClass225_2608;
         var2.aClass225_2608.aClass225_2607 = var2;
         var4.aClass225_2607 = var1.aClass225_5687;
         var1.aClass225_5687.aClass225_2608 = var4;
      }

   }

   public void method7632(Class456 var1, int var2) {
      if(this.aClass225_5687 != this.aClass225_5687.aClass225_2607) {
         this.method7631(var1, this.aClass225_5687.aClass225_2607, -236427510);
      }
   }

   void method7633(Class456 var1, Class225 var2) {
      Class225 var3 = this.aClass225_5687.aClass225_2608;
      this.aClass225_5687.aClass225_2608 = var2.aClass225_2608;
      var2.aClass225_2608.aClass225_2607 = this.aClass225_5687;
      if(var2 != this.aClass225_5687) {
         var2.aClass225_2608 = var1.aClass225_5687.aClass225_2608;
         var2.aClass225_2608.aClass225_2607 = var2;
         var3.aClass225_2607 = var1.aClass225_5687;
         var1.aClass225_5687.aClass225_2608 = var3;
      }

   }

   public boolean method7634() {
      return this.method7640(-1705063401);
   }

   public Class225 method7635(int var1) {
      return this.method7636((Class225)null, -529160216);
   }

   Class225 method7636(Class225 var1, int var2) {
      Class225 var3;
      if(var1 == null) {
         var3 = this.aClass225_5687.aClass225_2608;
      } else {
         var3 = var1;
      }

      if(this.aClass225_5687 == var3) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var3.aClass225_2608;
         return var3;
      }
   }

   public boolean method7637(Object var1) {
      return this.method7630((Class225)var1, (byte)17);
   }

   Class225 method7638(Class225 var1) {
      Class225 var2;
      if(var1 == null) {
         var2 = this.aClass225_5687.aClass225_2608;
      } else {
         var2 = var1;
      }

      if(this.aClass225_5687 == var2) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var2.aClass225_2608;
         return var2;
      }
   }

   public void method7639(Class225 var1) {
      if(null != var1.aClass225_2608) {
         var1.method3857(-279170395);
      }

      var1.aClass225_2608 = this.aClass225_5687;
      var1.aClass225_2607 = this.aClass225_5687.aClass225_2607;
      var1.aClass225_2608.aClass225_2607 = var1;
      var1.aClass225_2607.aClass225_2608 = var1;
   }

   public boolean method7640(int var1) {
      return this.aClass225_5687.aClass225_2607 == this.aClass225_5687;
   }

   Class225[] method7641(int var1) {
      Class225[] var2 = new Class225[this.method7643(-563505434)];
      int var3 = 0;

      for(Class225 var4 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var4; var4 = var4.aClass225_2607) {
         var2[var3++] = var4;
      }

      return var2;
   }

   public Class225 method7642() {
      return this.method7683((Class225)null, -1657216232);
   }

   public int method7643(int var1) {
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; var3 != this.aClass225_5687; var3 = var3.aClass225_2607) {
         ++var2;
      }

      return var2;
   }

   public boolean isEmpty() {
      return this.method7640(625363343);
   }

   public boolean contains(Object var1) {
      throw new RuntimeException();
   }

   public Object[] toArray() {
      return this.method7641(-2094170448);
   }

   public boolean method7644(Object var1) {
      return this.method7630((Class225)var1, (byte)22);
   }

   public Iterator method7645() {
      return new Class460(this);
   }

   public boolean remove(Object var1) {
      throw new RuntimeException();
   }

   public boolean containsAll(Collection var1) {
      throw new RuntimeException();
   }

   public boolean addAll(Collection var1) {
      throw new RuntimeException();
   }

   public boolean removeAll(Collection var1) {
      throw new RuntimeException();
   }

   public boolean retainAll(Collection var1) {
      throw new RuntimeException();
   }

   public void clear() {
      this.method7627((byte)16);
   }

   public boolean add(Object var1) {
      return this.method7630((Class225)var1, (byte)27);
   }

   public boolean method7646() {
      return this.method7640(-1508824813);
   }

   public int hashCode() {
      return super.hashCode();
   }

   public boolean method7647(Object var1) {
      throw new RuntimeException();
   }

   public boolean method7648(Object var1) {
      throw new RuntimeException();
   }

   public Class225 method7649(byte var1) {
      Class225 var2 = this.aClass225_5687.aClass225_2607;
      if(this.aClass225_5687 == var2) {
         return null;
      } else {
         var2.method3857(353889361);
         return var2;
      }
   }

   public boolean method7650(Object var1) {
      throw new RuntimeException();
   }

   public boolean method7651(Object var1) {
      throw new RuntimeException();
   }

   public Class225 method7652() {
      return this.method7683((Class225)null, 1087785738);
   }

   public boolean method7653(Object var1) {
      throw new RuntimeException();
   }

   Class225 method7654(Class225 var1) {
      Class225 var2;
      if(var1 == null) {
         var2 = this.aClass225_5687.aClass225_2608;
      } else {
         var2 = var1;
      }

      if(this.aClass225_5687 == var2) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var2.aClass225_2608;
         return var2;
      }
   }

   public Object[] toArray(Object[] var1) {
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var3; var3 = var3.aClass225_2607) {
         var1[var2++] = var3;
      }

      return var1;
   }

   public Object[] method7655() {
      return this.method7641(-2085002400);
   }

   public Iterator method7656() {
      return new Class460(this);
   }

   public boolean equals(Object var1) {
      return super.equals(var1);
   }

   public boolean method7657(Object var1) {
      throw new RuntimeException();
   }

   public int method7658() {
      return super.hashCode();
   }

   public int method7659() {
      return super.hashCode();
   }

   public int method7660() {
      return super.hashCode();
   }

   public boolean method7661(Object var1) {
      return super.equals(var1);
   }

   public boolean method7662(Object var1) {
      return super.equals(var1);
   }

   public boolean method7663(Object var1) {
      return super.equals(var1);
   }

   public void method7664() {
      while(this.aClass225_5687.aClass225_2607 != this.aClass225_5687) {
         this.aClass225_5687.aClass225_2607.method3857(412848878);
      }

   }

   public void method7665(Class225 var1) {
      if(null != var1.aClass225_2608) {
         var1.method3857(1092198036);
      }

      var1.aClass225_2608 = this.aClass225_5687.aClass225_2608;
      var1.aClass225_2607 = this.aClass225_5687;
      var1.aClass225_2608.aClass225_2607 = var1;
      var1.aClass225_2607.aClass225_2608 = var1;
   }

   public Class225 method7666(int var1) {
      Class225 var2 = this.aClass225_5688;
      if(this.aClass225_5687 == var2) {
         if(var1 >= 98312473) {
            ;
         }

         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var2.aClass225_2607;
         return var2;
      }
   }

   public void method7667(Class225 var1) {
      if(null != var1.aClass225_2608) {
         var1.method3857(926393886);
      }

      var1.aClass225_2608 = this.aClass225_5687;
      var1.aClass225_2607 = this.aClass225_5687.aClass225_2607;
      var1.aClass225_2608.aClass225_2607 = var1;
      var1.aClass225_2607.aClass225_2608 = var1;
   }

   public boolean method7668(Object var1) {
      throw new RuntimeException();
   }

   public static void method7669(Class225 var0, Class225 var1) {
      if(var0.aClass225_2608 != null) {
         var0.method3857(-1959818518);
      }

      var0.aClass225_2608 = var1.aClass225_2608;
      var0.aClass225_2607 = var1;
      var0.aClass225_2608.aClass225_2607 = var0;
      var0.aClass225_2607.aClass225_2608 = var0;
   }

   public Class225 method7670() {
      Class225 var1 = this.aClass225_5687.aClass225_2607;
      if(this.aClass225_5687 == var1) {
         return null;
      } else {
         var1.method3857(1849708242);
         return var1;
      }
   }

   public boolean method7671(Collection var1) {
      throw new RuntimeException();
   }

   Class225 method7672(Class225 var1) {
      Class225 var2;
      if(var1 == null) {
         var2 = this.aClass225_5687.aClass225_2608;
      } else {
         var2 = var1;
      }

      if(this.aClass225_5687 == var2) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var2.aClass225_2608;
         return var2;
      }
   }

   public void method7673(Class456 var1) {
      if(this.aClass225_5687 != this.aClass225_5687.aClass225_2607) {
         this.method7631(var1, this.aClass225_5687.aClass225_2607, -236427510);
      }
   }

   public Class225 method7674() {
      Class225 var1 = this.aClass225_5688;
      if(this.aClass225_5687 == var1) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var1.aClass225_2607;
         return var1;
      }
   }

   public void method7675(Class456 var1) {
      if(this.aClass225_5687 != this.aClass225_5687.aClass225_2607) {
         this.method7631(var1, this.aClass225_5687.aClass225_2607, -236427510);
      }
   }

   void method7676(Class456 var1, Class225 var2) {
      Class225 var3 = this.aClass225_5687.aClass225_2608;
      this.aClass225_5687.aClass225_2608 = var2.aClass225_2608;
      var2.aClass225_2608.aClass225_2607 = this.aClass225_5687;
      if(var2 != this.aClass225_5687) {
         var2.aClass225_2608 = var1.aClass225_5687.aClass225_2608;
         var2.aClass225_2608.aClass225_2607 = var2;
         var3.aClass225_2607 = var1.aClass225_5687;
         var1.aClass225_5687.aClass225_2608 = var3;
      }

   }

   public Class225 method7677() {
      return this.method7683((Class225)null, -404842880);
   }

   public void method7678(Class225 var1, byte var2) {
      if(null != var1.aClass225_2608) {
         if(var2 != -106) {
            ;
         }

         var1.method3857(436144122);
      }

      var1.aClass225_2608 = this.aClass225_5687;
      var1.aClass225_2607 = this.aClass225_5687.aClass225_2607;
      var1.aClass225_2608.aClass225_2607 = var1;
      var1.aClass225_2607.aClass225_2608 = var1;
   }

   public Class225 method7679() {
      return this.method7683((Class225)null, 330294980);
   }

   public Class225 method7680() {
      return this.method7636((Class225)null, 875125063);
   }

   public void method7681(Class225 var1) {
      if(null != var1.aClass225_2608) {
         var1.method3857(-1866411090);
      }

      var1.aClass225_2608 = this.aClass225_5687.aClass225_2608;
      var1.aClass225_2607 = this.aClass225_5687;
      var1.aClass225_2608.aClass225_2607 = var1;
      var1.aClass225_2607.aClass225_2608 = var1;
   }

   public Class225 method7682(byte var1) {
      return this.method7683((Class225)null, -639895444);
   }

   Class225 method7683(Class225 var1, int var2) {
      Class225 var3;
      if(null == var1) {
         var3 = this.aClass225_5687.aClass225_2607;
      } else {
         var3 = var1;
      }

      if(this.aClass225_5687 == var3) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var3.aClass225_2607;
         return var3;
      }
   }

   public void method7684(Class456 var1) {
      if(this.aClass225_5687 != this.aClass225_5687.aClass225_2607) {
         this.method7631(var1, this.aClass225_5687.aClass225_2607, -236427510);
      }
   }

   public Iterator iterator() {
      return new Class460(this);
   }

   public Class225 method7685() {
      Class225 var1 = this.aClass225_5688;
      if(var1 == this.aClass225_5687) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var1.aClass225_2608;
         return var1;
      }
   }

   public Class225 method7686() {
      Class225 var1 = this.aClass225_5688;
      if(var1 == this.aClass225_5687) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var1.aClass225_2608;
         return var1;
      }
   }

   public Iterator method7687() {
      return new Class460(this);
   }

   public int method7688() {
      int var1 = 0;

      for(Class225 var2 = this.aClass225_5687.aClass225_2607; var2 != this.aClass225_5687; var2 = var2.aClass225_2607) {
         ++var1;
      }

      return var1;
   }

   public int method7689() {
      int var1 = 0;

      for(Class225 var2 = this.aClass225_5687.aClass225_2607; var2 != this.aClass225_5687; var2 = var2.aClass225_2607) {
         ++var1;
      }

      return var1;
   }

   public int method7690() {
      int var1 = 0;

      for(Class225 var2 = this.aClass225_5687.aClass225_2607; var2 != this.aClass225_5687; var2 = var2.aClass225_2607) {
         ++var1;
      }

      return var1;
   }

   public boolean method7691() {
      return this.aClass225_5687.aClass225_2607 == this.aClass225_5687;
   }

   public boolean method7692() {
      return this.aClass225_5687.aClass225_2607 == this.aClass225_5687;
   }

   public boolean method7693(Object var1) {
      throw new RuntimeException();
   }

   Class225[] method7694() {
      Class225[] var1 = new Class225[this.method7643(-563505434)];
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var3; var3 = var3.aClass225_2607) {
         var1[var2++] = var3;
      }

      return var1;
   }

   Class225[] method7695() {
      Class225[] var1 = new Class225[this.method7643(-563505434)];
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var3; var3 = var3.aClass225_2607) {
         var1[var2++] = var3;
      }

      return var1;
   }

   Class225[] method7696() {
      Class225[] var1 = new Class225[this.method7643(-563505434)];
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var3; var3 = var3.aClass225_2607) {
         var1[var2++] = var3;
      }

      return var1;
   }

   public Class225 method7697(byte var1) {
      Class225 var2 = this.aClass225_5688;
      if(var2 == this.aClass225_5687) {
         this.aClass225_5688 = null;
         return null;
      } else {
         this.aClass225_5688 = var2.aClass225_2608;
         return var2;
      }
   }

   public int method7698() {
      return this.method7643(-563505434);
   }

   public int method7699() {
      return this.method7643(-563505434);
   }

   public int method7700() {
      return this.method7643(-563505434);
   }

   boolean method7701(Class225 var1) {
      this.method7712(var1, (byte)70);
      return true;
   }

   public int method7702() {
      return this.method7643(-563505434);
   }

   public int size() {
      return this.method7643(-563505434);
   }

   public Object[] method7703(Object[] var1) {
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var3; var3 = var3.aClass225_2607) {
         var1[var2++] = var3;
      }

      return var1;
   }

   public boolean method7704(Object var1) {
      return this.method7630((Class225)var1, (byte)-91);
   }

   public Object[] method7705(Object[] var1) {
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var3; var3 = var3.aClass225_2607) {
         var1[var2++] = var3;
      }

      return var1;
   }

   boolean method7706(Class225 var1) {
      this.method7712(var1, (byte)89);
      return true;
   }

   public Object[] method7707(Object[] var1) {
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var3; var3 = var3.aClass225_2607) {
         var1[var2++] = var3;
      }

      return var1;
   }

   public boolean method7708(Collection var1) {
      throw new RuntimeException();
   }

   public boolean method7709(Collection var1) {
      throw new RuntimeException();
   }

   public boolean method7710(Collection var1) {
      throw new RuntimeException();
   }

   public boolean method7711(Collection var1) {
      throw new RuntimeException();
   }

   public void method7712(Class225 var1, byte var2) {
      if(null != var1.aClass225_2608) {
         var1.method3857(987950498);
      }

      var1.aClass225_2608 = this.aClass225_5687.aClass225_2608;
      var1.aClass225_2607 = this.aClass225_5687;
      var1.aClass225_2608.aClass225_2607 = var1;
      var1.aClass225_2607.aClass225_2608 = var1;
   }

   public boolean method7713(Collection var1) {
      throw new RuntimeException();
   }

   public Class456() {
      this.aClass225_5687.aClass225_2607 = this.aClass225_5687;
      this.aClass225_5687.aClass225_2608 = this.aClass225_5687;
   }

   Class225[] method7714() {
      Class225[] var1 = new Class225[this.method7643(-563505434)];
      int var2 = 0;

      for(Class225 var3 = this.aClass225_5687.aClass225_2607; this.aClass225_5687 != var3; var3 = var3.aClass225_2607) {
         var1[var2++] = var3;
      }

      return var1;
   }

   public int method7715() {
      int var1 = 0;

      for(Class225 var2 = this.aClass225_5687.aClass225_2607; var2 != this.aClass225_5687; var2 = var2.aClass225_2607) {
         ++var1;
      }

      return var1;
   }

   static final void method7716(Class508 var0, byte var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1949243364);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class216.method3743(var3, var4, var0, 1275453159);
   }

   static final void method7717(Class124 var0, Class121 var1, Class508 var2, int var3) {
      var2.anInt6003 -= 393249892;
      var0.anInt1511 = 317983561 * var2.anIntArray6027[var2.anInt6003 * -937710807];
      var0.anInt1514 = var2.anIntArray6027[-937710807 * var2.anInt6003 + 1] * 2018831089;
      var0.anInt1382 = -1915646719 * var2.anIntArray6027[2 + var2.anInt6003 * -937710807];
      var0.anInt1492 = var2.anIntArray6027[-937710807 * var2.anInt6003 + 3] * -2026284031;
      Class460.method7767(var0, -891598839);
   }

   static final void method7718(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class31.method865(var3, var4, var0, -2027669495);
   }

   static final void method7719(Class508 var0, int var1) {
      Class505 var10000;
      if(var0.aBool6014) {
         if(var1 >= 1081398828) {
            ;
         }

         var10000 = var0.aClass505_6011;
      } else {
         var10000 = var0.aClass505_6010;
      }

      Class505 var2 = var10000;
      Class124 var3 = var2.aClass124_5977;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 757824707 * var3.anInt1390;
   }
}
